jdk:
- openjdk16

before_install:
- "echo \"installing java 16 using sdkman\""
- "curl -s \"https://get.sdkman.io\" | bash"
- "source ~/.sdkman/bin/sdkman-init.sh"
- "sdk install java 16.0.1-open"
- "sdk use java 16.0.1-open"
- "java -version"
install:
- "source ~/.sdkman/bin/sdkman-init.sh"
- "sdk use java 16.0.1-open"
- "java -version"
- "bash gradlew build publishToMavenLocal"
